diff --git a/libpurple/purpleimconversation.h b/libpurple/purpleimconversation.h
--- a/libpurple/purpleimconversation.h
+++ b/libpurple/purpleimconversation.h
@@ -57,6 +57,7 @@ typedef struct _PurpleIMConversationClas
 
 #include "purpleaccount.h"
 #include "purpleconversation.h"
+#include "purpleversion.h"
 
 /**
  * PurpleIMConversation:
@@ -82,7 +83,10 @@ G_BEGIN_DECLS
  * purple_im_conversation_get_type:
  *
  * Returns: The #GType for the IMConversation object.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GType purple_im_conversation_get_type(void);
 
 /**
@@ -94,7 +98,10 @@ GType purple_im_conversation_get_type(vo
  * Creates a new IM conversation.
  *
  * Returns: The new conversation.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleConversation *purple_im_conversation_new(PurpleAccount *account, const gchar *name);
 
 /**
@@ -103,7 +110,10 @@ PurpleConversation *purple_im_conversati
  * @state: The typing state.
  *
  * Sets the IM's typing state.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_im_conversation_set_typing_state(PurpleIMConversation *im, PurpleIMTypingState state);
 
 /**
@@ -113,7 +123,10 @@ void purple_im_conversation_set_typing_s
  * Returns the IM's typing state.
  *
  * Returns: The IM's typing state.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleIMTypingState purple_im_conversation_get_typing_state(PurpleIMConversation *im);
 
 /**
@@ -123,7 +136,10 @@ PurpleIMTypingState purple_im_conversati
  *           PURPLE_IM_NOT_TYPING.
  *
  * Starts the IM's typing timeout.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_im_conversation_start_typing_timeout(PurpleIMConversation *im, int timeout);
 
 /**
@@ -131,7 +147,10 @@ void purple_im_conversation_start_typing
  * @im: The IM.
  *
  * Stops the IM's typing timeout.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_im_conversation_stop_typing_timeout(PurpleIMConversation *im);
 
 /**
@@ -141,7 +160,10 @@ void purple_im_conversation_stop_typing_
  * Returns the IM's typing timeout.
  *
  * Returns: The timeout.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 guint purple_im_conversation_get_typing_timeout(PurpleIMConversation *im);
 
 /**
@@ -155,7 +177,10 @@ guint purple_im_conversation_get_typing_
  * Few protocols need this (maybe only MSN).  If the user is still
  * typing after this quiet-period, then another #PURPLE_IM_TYPING message
  * will be sent.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_im_conversation_set_type_again(PurpleIMConversation *im, guint val);
 
 /**
@@ -166,7 +191,10 @@ void purple_im_conversation_set_type_aga
  *
  * Returns: The time in seconds since the epoch.  Or 0 if no additional
  *         PURPLE_IM_TYPING message should be sent.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 time_t purple_im_conversation_get_type_again(PurpleIMConversation *im);
 
 /**
@@ -174,7 +202,10 @@ time_t purple_im_conversation_get_type_a
  * @im:      The IM.
  *
  * Starts the IM's type again timeout.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_im_conversation_start_send_typed_timeout(PurpleIMConversation *im);
 
 /**
@@ -182,7 +213,10 @@ void purple_im_conversation_start_send_t
  * @im: The IM.
  *
  * Stops the IM's type again timeout.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_im_conversation_stop_send_typed_timeout(PurpleIMConversation *im);
 
 /**
@@ -192,7 +226,10 @@ void purple_im_conversation_stop_send_ty
  * Returns the IM's type again timeout interval.
  *
  * Returns: The type again timeout interval.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 guint purple_im_conversation_get_send_typed_timeout(PurpleIMConversation *im);
 
 /**
@@ -200,7 +237,10 @@ guint purple_im_conversation_get_send_ty
  * @im: The IM.
  *
  * Updates the visual typing notification for an IM conversation.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_im_conversation_update_typing(PurpleIMConversation *im);
 
 G_END_DECLS
diff --git a/libpurple/purplekeyvaluepair.h b/libpurple/purplekeyvaluepair.h
--- a/libpurple/purplekeyvaluepair.h
+++ b/libpurple/purplekeyvaluepair.h
@@ -62,7 +62,10 @@ struct _PurpleKeyValuePair {
  * The standard %_GET_TYPE function for #PurpleKeyValuePair.
  *
  * Returns: The #GType for #PurpleKeyValuePair.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GType purple_key_value_pair_get_type(void);
 
 /**
@@ -117,7 +120,10 @@ void purple_key_value_pair_free(PurpleKe
  * has no way to know how to allocate a new copy of the value.
  *
  * Returns: (transfer full): A new copy of @kvp.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleKeyValuePair *purple_key_value_pair_copy(PurpleKeyValuePair *kvp);
 
 G_END_DECLS
diff --git a/libpurple/purplemessage.h b/libpurple/purplemessage.h
--- a/libpurple/purplemessage.h
+++ b/libpurple/purplemessage.h
@@ -106,8 +106,10 @@ typedef enum /*< prefix=PURPLE_MESSAGE_C
  * PurpleMessage:
  *
  * #PurpleMessage represents any message passed between users in libpurple.
+ *
+ * Since: 3.0.0
  */
-
+PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PurpleMessage, purple_message, PURPLE, MESSAGE, GObject)
 
 /**
@@ -380,7 +382,10 @@ GDateTime *purple_message_get_timestamp(
  * Formats the timestamp of @message and returns it.
  *
  * Returns: The formatted timestamp.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gchar *purple_message_format_timestamp(PurpleMessage *message, const gchar *format);
 
 /**
diff --git a/libpurple/purplenoopcredentialprovider.h b/libpurple/purplenoopcredentialprovider.h
--- a/libpurple/purplenoopcredentialprovider.h
+++ b/libpurple/purplenoopcredentialprovider.h
@@ -56,7 +56,10 @@ G_DECLARE_FINAL_TYPE(PurpleNoopCredentia
  * for itself.
  *
  * Returns: (transfer full): The new #PurpleNoopCredentialProvider instance.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleCredentialProvider *purple_noop_credential_provider_new(void);
 
 G_END_DECLS
diff --git a/libpurple/purpleoptions.h b/libpurple/purpleoptions.h
--- a/libpurple/purpleoptions.h
+++ b/libpurple/purpleoptions.h
@@ -29,6 +29,8 @@
 
 #include <glib.h>
 
+#include "purpleversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -41,7 +43,10 @@ G_BEGIN_DECLS
  *
  * Returns: (transfer full): a #GOptionGroup for the commandline arguments
  *          recognized by LibPurple.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GOptionGroup *purple_get_option_group(void);
 
 G_END_DECLS
diff --git a/libpurple/purplepath.h b/libpurple/purplepath.h
--- a/libpurple/purplepath.h
+++ b/libpurple/purplepath.h
@@ -25,6 +25,8 @@
 
 #include <glib.h>
 
+#include "purpleversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -45,7 +47,10 @@ const gchar *purple_home_dir(void);
  * sub-directory of DIR argument passed to -c option.
  *
  * Returns: The purple cache directory.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_cache_dir(void);
 
 /**
@@ -57,7 +62,10 @@ const gchar *purple_cache_dir(void);
  * sub-directory of DIR argument passed to -c option.
  *
  * Returns: The purple configuration directory.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_config_dir(void);
 
 /**
@@ -69,7 +77,10 @@ const gchar *purple_config_dir(void);
  * sub-directory of DIR argument passed to -c option.
  *
  * Returns: The purple data directory.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_data_dir(void);
 
 /**
diff --git a/libpurple/purpleplugininfo.h b/libpurple/purpleplugininfo.h
--- a/libpurple/purpleplugininfo.h
+++ b/libpurple/purpleplugininfo.h
@@ -72,6 +72,7 @@ struct _PurplePluginInfoClass {
  *
  * Since: 3.0.0
  */
+PURPLE_AVAILABLE_TYPE_IN_3_0
 typedef enum /*< flags >*/
 {
 	PURPLE_PLUGIN_INFO_FLAGS_INTERNAL  = 1 << 1,
diff --git a/libpurple/purplepresence.h b/libpurple/purplepresence.h
--- a/libpurple/purplepresence.h
+++ b/libpurple/purplepresence.h
@@ -108,6 +108,8 @@ struct _PurplePresenceClass {
 };
 
 #define PURPLE_TYPE_PRESENCE purple_presence_get_type()
+
+PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_DERIVABLE_TYPE(PurplePresence, purple_presence, PURPLE, PRESENCE,
                          GObject)
 
@@ -293,10 +295,7 @@ GDateTime *purple_presence_get_login_tim
  * Returns: -1 if @presence1 is more available than @presence2.
  *           0 if @presence1 is equal to @presence2.
  *           1 if @presence1 is less available than @presence2.
- *
- * Since: 3.0.0
  */
-PURPLE_AVAILABLE_IN_3_0
 gint purple_presence_compare(PurplePresence *presence1, PurplePresence *presence2);
 
 /**
diff --git a/libpurple/purpleprotocolclient.h b/libpurple/purpleprotocolclient.h
--- a/libpurple/purpleprotocolclient.h
+++ b/libpurple/purpleprotocolclient.h
@@ -36,6 +36,8 @@
 #include "purpleversion.h"
 
 #define PURPLE_TYPE_PROTOCOL_CLIENT (purple_protocol_client_get_type())
+
+PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_INTERFACE(PurpleProtocolClient, purple_protocol_client, PURPLE,
                     PROTOCOL_CLIENT, PurpleProtocol)
 
@@ -44,6 +46,8 @@ G_DECLARE_INTERFACE(PurpleProtocolClient
  *
  * #PurpleProtocolClient interface defines the behavior of a typical chat
  * service's client interface.
+ *
+ * Since: 3.0.0
  */
 
 /**
@@ -108,6 +112,8 @@ G_DECLARE_INTERFACE(PurpleProtocolClient
  * The protocol client interface.
  *
  * This interface provides a gateway between purple and the protocol.
+ *
+ * Since: 3.0.0
  */
 struct _PurpleProtocolClientInterface {
 	/*< private >*/
diff --git a/libpurple/purpleprotocolim.h b/libpurple/purpleprotocolim.h
--- a/libpurple/purpleprotocolim.h
+++ b/libpurple/purpleprotocolim.h
@@ -67,6 +67,8 @@ G_DECLARE_INTERFACE(PurpleProtocolIM, pu
  *
  * The protocol IM interface that needs to be implemented to send one to one
  * messages.
+ *
+ * Since: 3.0.0
  */
 struct _PurpleProtocolIMInterface {
 	/*< private >*/
@@ -96,7 +98,10 @@ G_BEGIN_DECLS
  *
  * Returns: >= 0 on success, or < 0 on error.  If 0 is returned the message
  *          should not be output locally.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gint purple_protocol_im_send(PurpleProtocolIM *im,
                              PurpleConnection *connection,
                              PurpleConversation *conversation,
@@ -120,7 +125,10 @@ gint purple_protocol_im_send(PurpleProto
  *          need to be sent.  If this is 5, for example, then Purple will wait
  *          five seconds, and if the Purple user is still typing then Purple
  *          will send another #PURPLE_IM_TYPING message.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 guint purple_protocol_im_send_typing(PurpleProtocolIM *im,
                                      PurpleConnection *connection,
                                      const gchar *name,
diff --git a/libpurple/purpleprotocolmedia.h b/libpurple/purpleprotocolmedia.h
--- a/libpurple/purpleprotocolmedia.h
+++ b/libpurple/purpleprotocolmedia.h
@@ -36,6 +36,8 @@
 #include "purpleversion.h"
 
 #define PURPLE_TYPE_PROTOCOL_MEDIA (purple_protocol_media_get_type())
+
+PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_INTERFACE(PurpleProtocolMedia, purple_protocol_media, PURPLE,
                     PROTOCOL_MEDIA, PurpleProtocol)
 
@@ -46,6 +48,8 @@ G_BEGIN_DECLS
  *
  * #PurpleProtocolMedia describes the multimedia api that is available for
  * protocols.
+ *
+ * Since: 3.0.0
  */
 
 /**
@@ -70,6 +74,8 @@ G_BEGIN_DECLS
  * The protocol media interface.
  *
  * This interface provides callbacks for media sessions on the protocol.
+ *
+ * Since: 3.0.0
  */
 struct _PurpleProtocolMediaInterface {
 	/*< private >*/
diff --git a/libpurple/purpleprotocolroomlist.h b/libpurple/purpleprotocolroomlist.h
--- a/libpurple/purpleprotocolroomlist.h
+++ b/libpurple/purpleprotocolroomlist.h
@@ -43,6 +43,8 @@ G_BEGIN_DECLS
  *
  * #PurpleProtocolRoomlist is an interface to abstract how to handle rooms
  * lists at the protocol level.
+ *
+ * Since: 3.0.0
  */
 
 PURPLE_AVAILABLE_IN_3_0
diff --git a/libpurple/purpleprotocolserver.h b/libpurple/purpleprotocolserver.h
--- a/libpurple/purpleprotocolserver.h
+++ b/libpurple/purpleprotocolserver.h
@@ -86,6 +86,8 @@ G_BEGIN_DECLS
  * The protocol server interface.
  *
  * This interface provides a gateway between purple and the protocol's server.
+ *
+ * Since: 3.0.0
  */
 struct _PurpleProtocolServerInterface {
 	/*< private >*/
diff --git a/libpurple/purpleproxyinfo.h b/libpurple/purpleproxyinfo.h
--- a/libpurple/purpleproxyinfo.h
+++ b/libpurple/purpleproxyinfo.h
@@ -71,7 +71,10 @@ PurpleProxyInfo *purple_proxy_info_new(v
  * @proxy_type: The new type.
  *
  * Sets the type of @info.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_proxy_info_set_proxy_type(PurpleProxyInfo *info, PurpleProxyType proxy_type);
 
 /**
@@ -81,7 +84,10 @@ void purple_proxy_info_set_proxy_type(Pu
  * Gets the type of the proxy.
  *
  * Returns: The type of the proxy.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleProxyType purple_proxy_info_get_proxy_type(PurpleProxyInfo *info);
 
 /**
diff --git a/libpurple/purplesavedpresence.h b/libpurple/purplesavedpresence.h
--- a/libpurple/purplesavedpresence.h
+++ b/libpurple/purplesavedpresence.h
@@ -36,6 +36,8 @@
 G_BEGIN_DECLS
 
 #define PURPLE_TYPE_SAVED_PRESENCE purple_saved_presence_get_type()
+
+PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PurpleSavedPresence, purple_saved_presence, PURPLE,
                      SAVED_PRESENCE, GObject)
 
diff --git a/libpurple/purplewhiteboard.h b/libpurple/purplewhiteboard.h
--- a/libpurple/purplewhiteboard.h
+++ b/libpurple/purplewhiteboard.h
@@ -38,6 +38,8 @@ typedef struct _PurpleWhiteboard PurpleW
  * PurpleWhiteboard:
  *
  * A abstract whiteboard object.
+ *
+ * Since: 3.0.0
  */
 
 G_BEGIN_DECLS
@@ -49,6 +51,8 @@ G_BEGIN_DECLS
  *
  * Right now this is empty but it will be filled out with the function from
  * PurpleWhiteboardOps in a future review request.
+ *
+ * Since: 3.0.0
  */
 struct _PurpleWhiteboardClass {
 	/*< private >*/
@@ -63,7 +67,10 @@ struct _PurpleWhiteboardClass {
  * The standard _get_type function for #PurpleWhiteboard.
  *
  * Returns: The #GType for the #PurpleWhiteboard object.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_DERIVABLE_TYPE(PurpleWhiteboard, purple_whiteboard, PURPLE,
                          WHITEBOARD, GObject)
 
@@ -73,7 +80,10 @@ G_DECLARE_DERIVABLE_TYPE(PurpleWhiteboar
  * @ops: The #PurpleWhiteboardOps to set.
  *
  * Sets the protocol operations for @whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_whiteboard_set_protocol_ops(PurpleWhiteboard *whiteboard, PurpleWhiteboardOps *ops);
 
 /**
@@ -85,7 +95,10 @@ void purple_whiteboard_set_protocol_ops(
  * Creates a new whiteboard.
  *
  * Returns: (transfer full): The new #PurpleWhiteboard instance.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleWhiteboard *purple_whiteboard_new(PurpleAccount *account, const gchar *id, gint state);
 
 /**
@@ -95,7 +108,10 @@ PurpleWhiteboard *purple_whiteboard_new(
  * Gets the #PurpleAccount that @whiteboard is tied to.
  *
  * Returns: (transfer none): The #PurpleAccount for @whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleAccount *purple_whiteboard_get_account(PurpleWhiteboard *whiteboard);
 
 /**
@@ -117,7 +133,10 @@ const gchar *purple_whiteboard_get_id(Pu
  * @state: The state
  *
  * Set the state of @whiteboard to @state.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_whiteboard_set_state(PurpleWhiteboard *whiteboard, gint state);
 
 /**
@@ -127,7 +146,10 @@ void purple_whiteboard_set_state(PurpleW
  * Gets the state of @whiteboard.
  *
  * Returns: The state of the @whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gint purple_whiteboard_get_state(PurpleWhiteboard *whiteboard);
 
 /**
@@ -258,7 +280,10 @@ void purple_whiteboard_set_brush(PurpleW
  * Gets the drawing list.
  *
  * Returns: (transfer none) (element-type gint): The drawing list.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GList *purple_whiteboard_get_draw_list(PurpleWhiteboard *whiteboard);
 
 /**
@@ -267,7 +292,10 @@ GList *purple_whiteboard_get_draw_list(P
  * @draw_list: (element-type gint): The drawing list.
  *
  * Sets the drawing list.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_whiteboard_set_draw_list(PurpleWhiteboard *whiteboard, GList* draw_list);
 
 /**
@@ -276,7 +304,10 @@ void purple_whiteboard_set_draw_list(Pur
  * @proto_data: The protocol data to set for the whiteboard.
  *
  * Sets the protocol data for @whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_whiteboard_set_protocol_data(PurpleWhiteboard *whiteboard, gpointer proto_data);
 
 /**
@@ -286,7 +317,10 @@ void purple_whiteboard_set_protocol_data
  * Gets the protocol data for a whiteboard.
  *
  * Returns: The protocol data for the whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gpointer purple_whiteboard_get_protocol_data(PurpleWhiteboard *whiteboard);
 
 /**
diff --git a/libpurple/purplewhiteboarduiops.h b/libpurple/purplewhiteboarduiops.h
--- a/libpurple/purplewhiteboarduiops.h
+++ b/libpurple/purplewhiteboarduiops.h
@@ -34,6 +34,7 @@
 typedef struct _PurpleWhiteboardUiOps PurpleWhiteboardUiOps;
 
 #include "purplewhiteboard.h"
+#include "purpleversion.h"
 
 G_BEGIN_DECLS
 
@@ -66,6 +67,7 @@ struct _PurpleWhiteboardUiOps
 	gpointer reserved[4];
 };
 
+PURPLE_AVAILABLE_IN_3_0
 GType purple_whiteboard_ui_ops_get_type(void);
 
 /**
@@ -81,7 +83,10 @@ void purple_whiteboard_set_ui_ops(Purple
  * @whiteboard: A #PurpleWhiteboard instance.
  *
  * Creates a user interface for @whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_whiteboard_ui_ops_create(PurpleWhiteboard *whiteboard);
 
 /**
@@ -89,7 +94,10 @@ void purple_whiteboard_ui_ops_create(Pur
  * @whiteboard: A #PurpleWhiteboard instance.
  *
  * Destroys the user interface for @whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_whiteboard_ui_ops_destroy(PurpleWhiteboard *whiteboard);
 
 /**
@@ -99,7 +107,10 @@ void purple_whiteboard_ui_ops_destroy(Pu
  * @height: The new height.
  *
  * Sets the user interface dimensions for @whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_whiteboard_ui_ops_set_dimensions(PurpleWhiteboard *whiteboard, gint width, gint height);
 
 /**
@@ -109,7 +120,10 @@ void purple_whiteboard_ui_ops_set_dimens
  * @color: The color to use.
  *
  * Sets the size and color of the active brush for @whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_whiteboard_ui_ops_set_brush(PurpleWhiteboard *whiteboard, gint size, gint color);
 
 /**
@@ -121,7 +135,10 @@ void purple_whiteboard_ui_ops_set_brush(
  * @size: The size of the point.
  *
  * Draws a point on @whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_whiteboard_ui_ops_draw_point(PurpleWhiteboard *whiteboard, gint x, gint y, gint color, gint size);
 
 /**
@@ -135,7 +152,10 @@ void purple_whiteboard_ui_ops_draw_point
  * @size: The size of the line.
  *
  * Draws a line on @whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_whiteboard_ui_ops_draw_line(PurpleWhiteboard *whiteboard, gint x1, gint y1, gint x2, gint y2, gint color, gint size);
 
 /**
@@ -143,7 +163,10 @@ void purple_whiteboard_ui_ops_draw_line(
  * @whiteboard: A #PurpleWhiteboard instance.
  *
  * Clears all the contents of @whiteboard.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_whiteboard_ui_ops_clear(PurpleWhiteboard *whiteboard);
 
 G_END_DECLS
diff --git a/libpurple/request-datasheet.h b/libpurple/request-datasheet.h
--- a/libpurple/request-datasheet.h
+++ b/libpurple/request-datasheet.h
@@ -29,6 +29,8 @@
 
 #include <glib.h>
 
+#include "purpleversion.h"
+
 /**
  * PurpleRequestDatasheet:
  *
@@ -71,6 +73,7 @@ G_BEGIN_DECLS
  *
  * Returns: (transfer full): The new datasheet.
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheet *
 purple_request_datasheet_new(void);
 
@@ -80,6 +83,7 @@ purple_request_datasheet_new(void);
  *
  * Destroys datasheet with all its contents.
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_free(PurpleRequestDatasheet *sheet);
 
@@ -92,7 +96,10 @@ purple_request_datasheet_free(PurpleRequ
  * Adds a column to the datasheet.
  *
  * You cannot add a column if datasheet contains any data.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_add_column(PurpleRequestDatasheet *sheet,
 	PurpleRequestDatasheetColumnType type, const gchar *title);
@@ -104,7 +111,10 @@ purple_request_datasheet_add_column(Purp
  * Returns the column count of datasheet.
  *
  * Returns: The column count.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 guint
 purple_request_datasheet_get_column_count(PurpleRequestDatasheet *sheet);
 
@@ -116,7 +126,10 @@ purple_request_datasheet_get_column_coun
  * Returns the column type for a datasheet.
  *
  * Returns: The column type.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheetColumnType
 purple_request_datasheet_get_column_type(PurpleRequestDatasheet *sheet,
 	guint col_no);
@@ -129,7 +142,10 @@ purple_request_datasheet_get_column_type
  * Returns the column title for a datasheet.
  *
  * Returns: The column title.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const gchar *
 purple_request_datasheet_get_column_title(PurpleRequestDatasheet *sheet,
 	guint col_no);
@@ -143,7 +159,10 @@ purple_request_datasheet_get_column_titl
  * You shouldn't modify datasheet's data while iterating through it.
  *
  * Returns: (element-type PurpleRequestDatasheetRecord) (transfer none): The list of records.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const GList *
 purple_request_datasheet_get_records(PurpleRequestDatasheet *sheet);
 
@@ -155,7 +174,10 @@ purple_request_datasheet_get_records(Pur
  * Adds an action to the datasheet.
  *
  * Action object is owned by the datasheet since this call.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_add_action(PurpleRequestDatasheet *sheet,
 	PurpleRequestDatasheetAction *action);
@@ -167,7 +189,10 @@ purple_request_datasheet_add_action(Purp
  * Returns the list of actions in a datasheet.
  *
  * Returns: (element-type PurpleRequestDatasheetAction) (transfer none): The list of actions.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const GList *
 purple_request_datasheet_get_actions(PurpleRequestDatasheet *sheet);
 
@@ -182,7 +207,10 @@ purple_request_datasheet_get_actions(Pur
  * Creates new datasheet action.
  *
  * Returns: (transfer full): The new action.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheetAction *
 purple_request_datasheet_action_new(void);
 
@@ -191,7 +219,10 @@ purple_request_datasheet_action_new(void
  * @act: The action.
  *
  * Destroys the datasheet action.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_action_free(PurpleRequestDatasheetAction *act);
 
@@ -201,7 +232,10 @@ purple_request_datasheet_action_free(Pur
  * @label: The label.
  *
  * Sets the localized label for the action.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_action_set_label(PurpleRequestDatasheetAction *act,
 	const gchar *label);
@@ -213,7 +247,10 @@ purple_request_datasheet_action_set_labe
  * Gets the label of action.
  *
  * Returns: The localized label text.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const gchar*
 purple_request_datasheet_action_get_label(PurpleRequestDatasheetAction *act);
 
@@ -224,7 +261,10 @@ purple_request_datasheet_action_get_labe
  * @user_data: The data to be passed to the callback function.
  *
  * Sets the callback for the action.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_action_set_cb(PurpleRequestDatasheetAction *act,
 	PurpleRequestDatasheetActionCb cb, gpointer user_data);
@@ -235,7 +275,10 @@ purple_request_datasheet_action_set_cb(P
  * @rec: The user selected record.
  *
  * Calls the callback of the action.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_action_call(PurpleRequestDatasheetAction *act,
 	PurpleRequestDatasheetRecord *rec);
@@ -250,7 +293,10 @@ purple_request_datasheet_action_call(Pur
  *
  * If there is no callback set, default is used: the action is enabled, if any
  * record is active.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_action_set_sens_cb(
 	PurpleRequestDatasheetAction *act,
@@ -264,7 +310,10 @@ purple_request_datasheet_action_set_sens
  * Checks, if the action is enabled for the active record.
  *
  * Returns: %TRUE, if the action is enabled, %FALSE otherwise.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gboolean
 purple_request_datasheet_action_is_sensitive(PurpleRequestDatasheetAction *act,
 	PurpleRequestDatasheetRecord *rec);
@@ -281,7 +330,10 @@ purple_request_datasheet_action_is_sensi
  * Returns the key of a record.
  *
  * Returns: The key.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gpointer
 purple_request_datasheet_record_get_key(
 	const PurpleRequestDatasheetRecord *rec);
@@ -293,7 +345,10 @@ purple_request_datasheet_record_get_key(
  * Returns the datasheet of a record.
  *
  * Returns: (transfer none): The datasheet.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheet *
 purple_request_datasheet_record_get_datasheet(
 	PurpleRequestDatasheetRecord *rec);
@@ -306,7 +361,10 @@ purple_request_datasheet_record_get_data
  * Looks up for a record in datasheet.
  *
  * Returns: (transfer none): The record if found, %NULL otherwise.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheetRecord *
 purple_request_datasheet_record_find(PurpleRequestDatasheet *sheet,
 	gpointer key);
@@ -321,7 +379,10 @@ purple_request_datasheet_record_find(Pur
  * If the specified key already exists in datasheet, old record is returned.
  *
  * Returns: (transfer full): The record.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleRequestDatasheetRecord *
 purple_request_datasheet_record_add(PurpleRequestDatasheet *sheet,
 	gpointer key);
@@ -332,7 +393,10 @@ purple_request_datasheet_record_add(Purp
  * @key:   The key.
  *
  * Removes a record from a datasheet.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_record_remove(PurpleRequestDatasheet *sheet,
 	gpointer key);
@@ -342,7 +406,10 @@ purple_request_datasheet_record_remove(P
  * @sheet: The datasheet.
  *
  * Removes all records from a datasheet.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_record_remove_all(PurpleRequestDatasheet *sheet);
 
@@ -354,7 +421,10 @@ purple_request_datasheet_record_remove_a
  * purple_request_datasheet_record_add.
  *
  * See purple_request_datasheet_record_add().
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_record_mark_all_for_rem(PurpleRequestDatasheet *sheet);
 
@@ -365,7 +435,10 @@ purple_request_datasheet_record_mark_all
  * Removes all marked records.
  *
  * See purple_request_datasheet_record_mark_all_for_rem().
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_record_remove_marked(PurpleRequestDatasheet *sheet);
 
@@ -376,7 +449,10 @@ purple_request_datasheet_record_remove_m
  * @data:   The data.
  *
  * Sets data for a string column of specified record.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_record_set_string_data(
 	PurpleRequestDatasheetRecord *rec, guint col_no, const gchar *data);
@@ -388,7 +464,10 @@ purple_request_datasheet_record_set_stri
  * @stock_id: The stock identifier of a image.
  *
  * Sets data for a image column of specified record.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void
 purple_request_datasheet_record_set_image_data(
 	PurpleRequestDatasheetRecord *rec, guint col_no, const gchar *stock_id);
@@ -401,7 +480,10 @@ purple_request_datasheet_record_set_imag
  * Returns data for a string column of specified record.
  *
  * Returns: The data.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const gchar *
 purple_request_datasheet_record_get_string_data(
 	const PurpleRequestDatasheetRecord *rec, guint col_no);
@@ -414,7 +496,10 @@ purple_request_datasheet_record_get_stri
  * Returns data for an image column of specified record.
  *
  * Returns: The stock id of an image.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const gchar *
 purple_request_datasheet_record_get_image_data(
 	const PurpleRequestDatasheetRecord *rec, guint col_no);
